List caption tracks
Returns caption tracks for required video_reference. Optional caption_style and language_code control formatting and language.
1 credit / requestBilled only on success
Authorization
ApiKeyAuth x-api-key<token>
In: header
Query Parameters
video_reference*string
YouTube video ID or a full watch, youtu.be, Shorts, or embed URL.
Length
1 <= lengthcaption_style?string
Caption output style. Defaults to srv1 when omitted.
Value in
- "json3"
- "srv1"
- "srv2"
- "srv3"
- "ttml"
- "vtt"
- "srt"
language_code?string
Language code used to localize text and audio results.
curl -X GET "https://example.com/v2/youtube/subtitles?video_reference=M7lc1UVf-VE" \ -H "x-api-key: YOUR_API_KEY"{ "data": { "subtitles": [ { "languageName": "string", "languageCode": "string", "url": "string", "isTranslatable": true, "property1": null, "property2": null } ], "translationLanguages": [ { "languageCode": "string", "languageName": "string", "property1": null, "property2": null } ], "property1": null, "property2": null }}